Package org.eclipse.birt.chart.script.api.scale

# Interface ITimeScale

All Superinterfaces:
  `IScale`

public interface ITimeScale extends IScale
Represents the Scale for chart scaling when Axis is Datetime type.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getMax()`
Gets the maximum value that appears in Axis
`Date`
`getMin()`
Gets the minimum value that appears in Axis
`int`
`getStepSize()`
Gets the step size for scaling.
`String`
`getStepTimeUnit()`
Gets the name of ScaleUnitType for time scaling
`void`
`setMax(Date max)`
Sets the maximum value that appears in Axis
`void`
`setMin(Date min)`
Sets the minimum value that appears in Axis
`void`
`setStepSize(int size)`
Sets the step size for scaling.
`void`
`setStepTimeUnit(String unit)`
Sets the name of ScaleUnitType for time scaling

### Methods inherited from interface org.eclipse.birt.chart.script.api.scale.IScale

`isAuto, isCategory, setAuto, setCategory`

## Method Details

### getStepSize

int getStepSize()
Gets the step size for scaling.

Returns:
  step size

### setStepSize

void setStepSize(int size)
Sets the step size for scaling.

Parameters:
  `size` - step size

### getStepTimeUnit

String getStepTimeUnit()
Gets the name of ScaleUnitType for time scaling

Returns:
  the name of ScaleUnitType

### setStepTimeUnit

void setStepTimeUnit(String unit)
Sets the name of ScaleUnitType for time scaling

Parameters:
  `the` - name of ScaleUnitType

### getMin

Date getMin()
Gets the minimum value that appears in Axis

Returns:
  minimum value

### getMax

Date getMax()
Gets the maximum value that appears in Axis

Returns:
  maximum value

### setMin

void setMin(Date min)
Sets the minimum value that appears in Axis

Parameters:
  `min` - minimum value

### setMax

void setMax(Date max)
Sets the maximum value that appears in Axis

Parameters:
  `max` - maximum value